Index: uspace/srv/bd/ata_bd/ata_bd.h
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/ata_bd/ata_bd.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -287,5 +287,5 @@
 
 	fibril_mutex_t lock;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 } disk_t;
 
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -60,5 +60,5 @@
 static FILE *img;
 
-static dev_handle_t dev_handle;
+static devmap_handle_t devmap_handle;
 static fibril_mutex_t dev_lock;
 
@@ -82,5 +82,5 @@
 		return -1;
 
-	rc = devmap_device_register(argv[2], &dev_handle);
+	rc = devmap_device_register(argv[2], &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/bd/gxe_bd/gxe_bd.c
===================================================================
--- uspace/srv/bd/gxe_bd/gxe_bd.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/gxe_bd/gxe_bd.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -93,5 +93,5 @@
 static gxe_bd_t *dev;
 
-static dev_handle_t dev_handle[MAX_DISKS];
+static devmap_handle_t devmap_handle[MAX_DISKS];
 
 static fibril_mutex_t dev_lock[MAX_DISKS];
@@ -143,5 +143,5 @@
 	for (i = 0; i < MAX_DISKS; i++) {
 		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
-		rc = devmap_device_register(name, &dev_handle[i]);
+		rc = devmap_device_register(name, &devmap_handle[i]);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
@@ -161,5 +161,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
@@ -174,5 +174,5 @@
 	disk_id = -1;
 	for (i = 0; i < MAX_DISKS; i++)
-		if (dev_handle[i] == dh)
+		if (devmap_handle[i] == dh)
 			disk_id = i;
 
Index: uspace/srv/bd/part/guid_part/guid_part.c
===================================================================
--- uspace/srv/bd/part/guid_part/guid_part.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/part/guid_part/guid_part.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -83,5 +83,5 @@
 	aoff64_t length;
 	/** Device representing the partition (outbound device) */
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	/** Points to next partition structure. */
 	struct part *next;
@@ -91,5 +91,5 @@
 
 /** Partitioned device (inbound device) */
-static dev_handle_t indev_handle;
+static devmap_handle_t indev_handle;
 
 /** List of partitions. This structure is an empty head. */
@@ -130,5 +130,5 @@
 	int i;
 	char *name;
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	uint64_t size_mb;
 	part_t *part;
@@ -316,5 +316,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
Index: uspace/srv/bd/part/mbr_part/mbr_part.c
===================================================================
--- uspace/srv/bd/part/mbr_part/mbr_part.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/part/mbr_part/mbr_part.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -101,5 +101,5 @@
 	aoff64_t length;
 	/** Device representing the partition (outbound device) */
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	/** Points to next partition structure. */
 	struct part *next;
@@ -142,5 +142,5 @@
 
 /** Partitioned device (inbound device) */
-static dev_handle_t indev_handle;
+static devmap_handle_t indev_handle;
 
 /** List of partitions. This structure is an empty head. */
@@ -181,5 +181,5 @@
 	int i;
 	char *name;
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	uint64_t size_mb;
 	part_t *part;
@@ -394,5 +394,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/bd/rd/rd.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -238,6 +238,6 @@
 	}
 	
-	dev_handle_t dev_handle;
-	if (devmap_device_register("bd/initrd", &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register("bd/initrd", &devmap_handle) != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
 		printf("%s: Unable to register device\n", NAME);
Index: uspace/srv/devman/devman.c
===================================================================
--- uspace/srv/devman/devman.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/devman/devman.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -52,5 +52,5 @@
 {
 	node_t *dev = hash_table_get_instance(item, node_t, devman_link);
-	return (dev->handle == (device_handle_t) key[0]);
+	return (dev->handle == (devman_handle_t) key[0]);
 }
 
@@ -59,5 +59,5 @@
 {
 	node_t *dev = hash_table_get_instance(item, node_t, devmap_link);
-	return (dev->devmap_handle == (dev_handle_t) key[0]);
+	return (dev->devmap_handle == (devmap_handle_t) key[0]);
 }
 
@@ -782,5 +782,5 @@
  * @return		The device node.
  */
-node_t *find_dev_node_no_lock(dev_tree_t *tree, device_handle_t handle)
+node_t *find_dev_node_no_lock(dev_tree_t *tree, devman_handle_t handle)
 {
 	unsigned long key = handle;
@@ -795,5 +795,5 @@
  * @return		The device node.
  */
-node_t *find_dev_node(dev_tree_t *tree, device_handle_t handle)
+node_t *find_dev_node(dev_tree_t *tree, devman_handle_t handle)
 {
 	node_t *node = NULL;
@@ -1106,5 +1106,5 @@
 /* Devmap devices */
 
-node_t *find_devmap_tree_device(dev_tree_t *tree, dev_handle_t devmap_handle)
+node_t *find_devmap_tree_device(dev_tree_t *tree, devmap_handle_t devmap_handle)
 {
 	node_t *dev = NULL;
@@ -1122,5 +1122,5 @@
 
 node_t *find_devmap_class_device(class_list_t *classes,
-    dev_handle_t devmap_handle)
+    devmap_handle_t devmap_handle)
 {
 	node_t *dev = NULL;
Index: uspace/srv/devman/devman.h
===================================================================
--- uspace/srv/devman/devman.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/devman/devman.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -121,5 +121,5 @@
 struct node {
 	/** The global unique identifier of the device. */
-	device_handle_t handle;
+	devman_handle_t handle;
 	/** The name of the device specified by its parent. */
 	char *name;
@@ -157,5 +157,5 @@
 	link_t classes;
 	/** Devmap handle if the device is registered by devmapper. */
-	dev_handle_t devmap_handle;
+	devmap_handle_t devmap_handle;
 	
 	/**
@@ -179,5 +179,5 @@
 	 * manner.
 	 */
-	device_handle_t current_handle;
+	devman_handle_t current_handle;
 	
 	/** Synchronize access to the device tree. */
@@ -248,5 +248,5 @@
 	char *dev_name;
 	/** The handle of the device by device mapper in the class namespace. */
-	dev_handle_t devmap_handle;
+	devmap_handle_t devmap_handle;
 	
 	/**
@@ -309,6 +309,6 @@
 extern void delete_dev_node(node_t *node);
 extern node_t *find_dev_node_no_lock(dev_tree_t *tree,
-    device_handle_t handle);
-extern node_t *find_dev_node(dev_tree_t *tree, device_handle_t handle);
+    devman_handle_t handle);
+extern node_t *find_dev_node(dev_tree_t *tree, devman_handle_t handle);
 extern node_t *find_dev_node_by_path(dev_tree_t *, char *);
 extern node_t *find_node_child(node_t *, const char *);
@@ -337,6 +337,6 @@
 /* Devmap devices */
 
-extern node_t *find_devmap_tree_device(dev_tree_t *, dev_handle_t);
-extern node_t *find_devmap_class_device(class_list_t *, dev_handle_t);
+extern node_t *find_devmap_tree_device(dev_tree_t *, devmap_handle_t);
+extern node_t *find_devmap_class_device(class_list_t *, devmap_handle_t);
 
 extern void class_add_devmap_device(class_list_t *, dev_class_info_t *);
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/devman/main.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -202,5 +202,5 @@
 static void devman_add_child(ipc_callid_t callid, ipc_call_t *call)
 {
-	device_handle_t parent_handle = IPC_GET_ARG1(*call);
+	devman_handle_t parent_handle = IPC_GET_ARG1(*call);
 	ipcarg_t match_count = IPC_GET_ARG2(*call);
 	dev_tree_t *tree = &device_tree;
@@ -271,5 +271,5 @@
 static void devman_add_device_to_class(ipc_callid_t callid, ipc_call_t *call)
 {
-	device_handle_t handle = IPC_GET_ARG1(*call);
+	devman_handle_t handle = IPC_GET_ARG1(*call);
 	
 	/* Get class name. */
@@ -414,5 +414,5 @@
     bool drv_to_parent)
 {
-	device_handle_t handle = IPC_GET_ARG2(*icall);
+	devman_handle_t handle = IPC_GET_ARG2(*icall);
 	
 	node_t *dev = find_dev_node(&device_tree, handle);
@@ -464,5 +464,5 @@
 static void devman_connection_devmapper(ipc_callid_t iid, ipc_call_t *icall)
 {
-	dev_handle_t devmap_handle = IPC_GET_METHOD(*icall);
+	devmap_handle_t devmap_handle = IPC_GET_METHOD(*icall);
 	node_t *dev;
 
Index: uspace/srv/devmap/devmap.c
===================================================================
--- uspace/srv/devmap/devmap.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/devmap/devmap.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -75,5 +75,5 @@
 	link_t namespaces;
 	/** Unique namespace identifier */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	/** Namespace name */
 	char *name;
@@ -92,5 +92,5 @@
 	link_t driver_devices;
 	/** Unique device identifier */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	/** Device namespace */
 	devmap_namespace_t *namespace;
@@ -118,8 +118,8 @@
 static FIBRIL_MUTEX_INITIALIZE(null_devices_mutex);
 
-static dev_handle_t last_handle = 0;
+static devmap_handle_t last_handle = 0;
 static devmap_device_t *null_devices[NULL_DEVICES];
 
-static dev_handle_t devmap_create_handle(void)
+static devmap_handle_t devmap_create_handle(void)
 {
 	/* TODO: allow reusing old handles after their unregistration
@@ -233,5 +233,5 @@
  *
  */
-static devmap_namespace_t *devmap_namespace_find_handle(dev_handle_t handle)
+static devmap_namespace_t *devmap_namespace_find_handle(devmap_handle_t handle)
 {
 	link_t *item;
@@ -275,5 +275,5 @@
  *
  */
-static devmap_device_t *devmap_device_find_handle(dev_handle_t handle)
+static devmap_device_t *devmap_device_find_handle(devmap_handle_t handle)
 {
 	link_t *item;
@@ -608,5 +608,5 @@
 	 * Get handle from request
 	 */
-	dev_handle_t handle = IPC_GET_ARG2(*call);
+	devmap_handle_t handle = IPC_GET_ARG2(*call);
 	devmap_device_t *dev = devmap_device_find_handle(handle);
 	
Index: uspace/srv/fs/devfs/devfs_ops.c
===================================================================
--- uspace/srv/fs/devfs/devfs_ops.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/fs/devfs/devfs_ops.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -54,10 +54,10 @@
 typedef struct {
 	devmap_handle_type_t type;
-	dev_handle_t handle;
+	devmap_handle_t handle;
 } devfs_node_t;
 
 /** Opened devices structure */
 typedef struct {
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	int phone;
 	size_t refcount;
@@ -84,5 +84,5 @@
 {
 	device_t *dev = hash_table_get_instance(item, device_t, link);
-	return (dev->handle == (dev_handle_t) key[DEVICES_KEY_HANDLE]);
+	return (dev->handle == (devmap_handle_t) key[DEVICES_KEY_HANDLE]);
 }
 
@@ -99,5 +99,5 @@
 
 static int devfs_node_get_internal(fs_node_t **rfn, devmap_handle_type_t type,
-    dev_handle_t handle)
+    devmap_handle_t handle)
 {
 	devfs_node_t *node = (devfs_node_t *) malloc(sizeof(devfs_node_t));
@@ -122,5 +122,5 @@
 }
 
-static int devfs_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
+static int devfs_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
 {
 	return devfs_node_get_internal(rfn, DEV_HANDLE_NONE, 0);
@@ -154,5 +154,5 @@
 		
 		/* Search root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_get_devices(namespace, &devs);
@@ -200,5 +200,5 @@
 }
 
-static int devfs_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+static int devfs_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	return devfs_node_get_internal(rfn, devmap_handle_probe(index), index);
@@ -269,5 +269,5 @@
 }
 
-static int devfs_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int lflag)
+static int devfs_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int lflag)
 {
 	assert((lflag & L_FILE) ^ (lflag & L_DIRECTORY));
@@ -304,5 +304,5 @@
 		
 		/* Root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_count_devices(namespace);
@@ -372,5 +372,5 @@
 }
 
-static dev_handle_t devfs_device_get(fs_node_t *fn)
+static devmap_handle_t devfs_device_get(fs_node_t *fn)
 {
 	devfs_node_t *node = (devfs_node_t *) fn->data;
@@ -501,5 +501,5 @@
 		
 		/* Search root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_get_devices(namespace, &desc);
Index: uspace/srv/fs/fat/fat.h
===================================================================
--- uspace/srv/fs/fat/fat.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/fs/fat/fat.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -176,5 +176,5 @@
 
 	fibril_mutex_t	lock;
-	dev_handle_t	dev_handle;
+	devmap_handle_t	devmap_handle;
 	fs_index_t	index;
 	/**
@@ -242,7 +242,7 @@
 extern void fat_sync(ipc_callid_t, ipc_call_t *);
 
-extern int fat_idx_get_new(fat_idx_t **, dev_handle_t);
-extern fat_idx_t *fat_idx_get_by_pos(dev_handle_t, fat_cluster_t, unsigned);
-extern fat_idx_t *fat_idx_get_by_index(dev_handle_t, fs_index_t);
+extern int fat_idx_get_new(fat_idx_t **, devmap_handle_t);
+extern fat_idx_t *fat_idx_get_by_pos(devmap_handle_t, fat_cluster_t, unsigned);
+extern fat_idx_t *fat_idx_get_by_index(devmap_handle_t, fs_index_t);
 extern void fat_idx_destroy(fat_idx_t *);
 extern void fat_idx_hashin(fat_idx_t *);
@@ -251,6 +251,6 @@
 extern int fat_idx_init(void);
 extern void fat_idx_fini(void);
-extern int fat_idx_init_by_dev_handle(dev_handle_t);
-extern void fat_idx_fini_by_dev_handle(dev_handle_t);
+extern int fat_idx_init_by_devmap_handle(devmap_handle_t);
+extern void fat_idx_fini_by_devmap_handle(devmap_handle_t);
 
 #endif
Index: uspace/srv/fs/fat/fat_fat.c
===================================================================
--- uspace/srv/fs/fat/fat_fat.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/fs/fat/fat_fat.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -70,5 +70,5 @@
  *
  * @param bs		Buffer holding the boot sector for the file.
- * @param dev_handle	Device handle of the device with the file.
+ * @param devmap_handle	Device handle of the device with the file.
  * @param firstc	First cluster to start the walk with.
  * @param lastc		If non-NULL, output argument hodling the last cluster
@@ -81,5 +81,5 @@
  */
 int 
-fat_cluster_walk(fat_bs_t *bs, dev_handle_t dev_handle, fat_cluster_t firstc,
+fat_cluster_walk(fat_bs_t *bs, devmap_handle_t devmap_handle, fat_cluster_t firstc,
     fat_cluster_t *lastc, uint16_t *numc, uint16_t max_clusters)
 {
@@ -108,5 +108,5 @@
 		fidx = clst % (BPS(bs) / sizeof(fat_cluster_t));
 		/* read FAT1 */
-		rc = block_get(&b, dev_handle, RSCNT(bs) + fsec,
+		rc = block_get(&b, devmap_handle, RSCNT(bs) + fsec,
 		    BLOCK_FLAGS_NONE);
 		if (rc != EOK)
@@ -159,5 +159,5 @@
 		 * when fortunately we have the last cluster number cached.
 		 */
-		return block_get(block, nodep->idx->dev_handle,
+		return block_get(block, nodep->idx->devmap_handle,
 		    CLBN2PBN(bs, nodep->lastc_cached_value, bn), flags);
 	}
@@ -173,5 +173,5 @@
 
 fall_through:
-	rc = _fat_block_get(block, bs, nodep->idx->dev_handle, firstc,
+	rc = _fat_block_get(block, bs, nodep->idx->devmap_handle, firstc,
 	    &currc, relbn, flags);
 	if (rc != EOK)
@@ -192,5 +192,5 @@
  * @param block		Pointer to a block pointer for storing result.
  * @param bs		Buffer holding the boot sector of the file system.
- * @param dev_handle	Device handle of the file system.
+ * @param devmap_handle	Device handle of the file system.
  * @param fcl		First cluster used by the file. Can be zero if the file
  *			is empty.
@@ -204,5 +204,5 @@
  */
 int
-_fat_block_get(block_t **block, fat_bs_t *bs, dev_handle_t dev_handle,
+_fat_block_get(block_t **block, fat_bs_t *bs, devmap_handle_t devmap_handle,
     fat_cluster_t fcl, fat_cluster_t *clp, aoff64_t bn, int flags)
 {
@@ -221,5 +221,5 @@
 		/* root directory special case */
 		assert(bn < RDS(bs));
-		rc = block_get(block, dev_handle,
+		rc = block_get(block, devmap_handle,
 		    RSCNT(bs) + FATCNT(bs) * SF(bs) + bn, flags);
 		return rc;
@@ -227,10 +227,10 @@
 
 	max_clusters = bn / SPC(bs);
-	rc = fat_cluster_walk(bs, dev_handle, fcl, &c, &clusters, max_clusters);
+	rc = fat_cluster_walk(bs, devmap_handle, fcl, &c, &clusters, max_clusters);
 	if (rc != EOK)
 		return rc;
 	assert(clusters == max_clusters);
 
-	rc = block_get(block, dev_handle, CLBN2PBN(bs, c, bn), flags);
+	rc = block_get(block, devmap_handle, CLBN2PBN(bs, c, bn), flags);
 
 	if (clp)
@@ -280,5 +280,5 @@
 	/* zero out the initial part of the new cluster chain */
 	for (o = boundary; o < pos; o += BPS(bs)) {
-		rc = _fat_block_get(&b, bs, nodep->idx->dev_handle, mcl,
+		rc = _fat_block_get(&b, bs, nodep->idx->devmap_handle, mcl,
 		    NULL, (o - boundary) / BPS(bs), BLOCK_FLAGS_NOREAD);
 		if (rc != EOK)
@@ -297,5 +297,5 @@
  *
  * @param bs		Buffer holding the boot sector for the file system.
- * @param dev_handle	Device handle for the file system.
+ * @param devmap_handle	Device handle for the file system.
  * @param clst		Cluster which to get.
  * @param value		Output argument holding the value of the cluster.
@@ -304,5 +304,5 @@
  */
 int
-fat_get_cluster(fat_bs_t *bs, dev_handle_t dev_handle, unsigned fatno,
+fat_get_cluster(fat_bs_t *bs, devmap_handle_t devmap_handle, unsigned fatno,
     fat_cluster_t clst, fat_cluster_t *value)
 {
@@ -311,5 +311,5 @@
 	int rc;
 
-	rc = block_get(&b, dev_handle, RSCNT(bs) + SF(bs) * fatno +
+	rc = block_get(&b, devmap_handle, RSCNT(bs) + SF(bs) * fatno +
 	    (clst * sizeof(fat_cluster_t)) / BPS(bs), BLOCK_FLAGS_NONE);
 	if (rc != EOK)
@@ -326,5 +326,5 @@
  *
  * @param bs		Buffer holding the boot sector for the file system.
- * @param dev_handle	Device handle for the file system.
+ * @param devmap_handle	Device handle for the file system.
  * @param fatno		Number of the FAT instance where to make the change.
  * @param clst		Cluster which is to be set.
@@ -334,5 +334,5 @@
  */
 int
-fat_set_cluster(fat_bs_t *bs, dev_handle_t dev_handle, unsigned fatno,
+fat_set_cluster(fat_bs_t *bs, devmap_handle_t devmap_handle, unsigned fatno,
     fat_cluster_t clst, fat_cluster_t value)
 {
@@ -342,5 +342,5 @@
 
 	assert(fatno < FATCNT(bs));
-	rc = block_get(&b, dev_handle, RSCNT(bs) + SF(bs) * fatno +
+	rc = block_get(&b, devmap_handle, RSCNT(bs) + SF(bs) * fatno +
 	    (clst * sizeof(fat_cluster_t)) / BPS(bs), BLOCK_FLAGS_NONE);
 	if (rc != EOK)
@@ -357,5 +357,5 @@
  *
  * @param bs		Buffer holding the boot sector of the file system.
- * @param dev_handle	Device handle of the file system.
+ * @param devmap_handle	Device handle of the file system.
  * @param lifo		Chain of allocated clusters.
  * @param nclsts	Number of clusters in the lifo chain.
@@ -363,5 +363,5 @@
  * @return		EOK on success or a negative error code.
  */
-int fat_alloc_shadow_clusters(fat_bs_t *bs, dev_handle_t dev_handle,
+int fat_alloc_shadow_clusters(fat_bs_t *bs, devmap_handle_t devmap_handle,
     fat_cluster_t *lifo, unsigned nclsts)
 {
@@ -372,5 +372,5 @@
 	for (fatno = FAT1 + 1; fatno < bs->fatcnt; fatno++) {
 		for (c = 0; c < nclsts; c++) {
-			rc = fat_set_cluster(bs, dev_handle, fatno, lifo[c],
+			rc = fat_set_cluster(bs, devmap_handle, fatno, lifo[c],
 			    c == 0 ? FAT_CLST_LAST1 : lifo[c - 1]);
 			if (rc != EOK)
@@ -390,5 +390,5 @@
  *
  * @param bs		Buffer holding the boot sector of the file system.
- * @param dev_handle	Device handle of the file system.
+ * @param devmap_handle	Device handle of the file system.
  * @param nclsts	Number of clusters to allocate.
  * @param mcl		Output parameter where the first cluster in the chain
@@ -400,5 +400,5 @@
  */
 int
-fat_alloc_clusters(fat_bs_t *bs, dev_handle_t dev_handle, unsigned nclsts,
+fat_alloc_clusters(fat_bs_t *bs, devmap_handle_t devmap_handle, unsigned nclsts,
     fat_cluster_t *mcl, fat_cluster_t *lcl)
 {
@@ -418,5 +418,5 @@
 	fibril_mutex_lock(&fat_alloc_lock);
 	for (b = 0, cl = 0; b < SF(bs); b++) {
-		rc = block_get(&blk, dev_handle, RSCNT(bs) + b,
+		rc = block_get(&blk, devmap_handle, RSCNT(bs) + b,
 		    BLOCK_FLAGS_NONE);
 		if (rc != EOK)
@@ -457,5 +457,5 @@
 					/* update the shadow copies of FAT */
 					rc = fat_alloc_shadow_clusters(bs,
-					    dev_handle, lifo, nclsts);
+					    devmap_handle, lifo, nclsts);
 					if (rc != EOK)
 						goto error;
@@ -484,5 +484,5 @@
 	 */
 	while (found--) {
-		rc = fat_set_cluster(bs, dev_handle, FAT1, lifo[found],
+		rc = fat_set_cluster(bs, devmap_handle, FAT1, lifo[found],
 		    FAT_CLST_RES0);
 		if (rc != EOK) {
@@ -499,5 +499,5 @@
  *
  * @param bs		Buffer hodling the boot sector of the file system.
- * @param dev_handle	Device handle of the file system.
+ * @param devmap_handle	Device handle of the file system.
  * @param firstc	First cluster in the chain which is to be freed.
  *
@@ -505,5 +505,5 @@
  */
 int
-fat_free_clusters(fat_bs_t *bs, dev_handle_t dev_handle, fat_cluster_t firstc)
+fat_free_clusters(fat_bs_t *bs, devmap_handle_t devmap_handle, fat_cluster_t firstc)
 {
 	unsigned fatno;
@@ -514,9 +514,9 @@
 	while (firstc < FAT_CLST_LAST1) {
 		assert(firstc >= FAT_CLST_FIRST && firstc < FAT_CLST_BAD);
-		rc = fat_get_cluster(bs, dev_handle, FAT1, firstc, &nextc);
+		rc = fat_get_cluster(bs, devmap_handle, FAT1, firstc, &nextc);
 		if (rc != EOK)
 			return rc;
 		for (fatno = FAT1; fatno < bs->fatcnt; fatno++) {
-			rc = fat_set_cluster(bs, dev_handle, fatno, firstc,
+			rc = fat_set_cluster(bs, devmap_handle, fatno, firstc,
 			    FAT_CLST_RES0);
 			if (rc != EOK)
@@ -543,5 +543,5 @@
     fat_cluster_t lcl)
 {
-	dev_handle_t dev_handle = nodep->idx->dev_handle;
+	devmap_handle_t devmap_handle = nodep->idx->devmap_handle;
 	fat_cluster_t lastc;
 	uint8_t fatno;
@@ -557,5 +557,5 @@
 			nodep->lastc_cached_valid = false;
 		} else {
-			rc = fat_cluster_walk(bs, dev_handle, nodep->firstc,
+			rc = fat_cluster_walk(bs, devmap_handle, nodep->firstc,
 			    &lastc, NULL, (uint16_t) -1);
 			if (rc != EOK)
@@ -564,5 +564,5 @@
 
 		for (fatno = FAT1; fatno < bs->fatcnt; fatno++) {
-			rc = fat_set_cluster(bs, nodep->idx->dev_handle, fatno,
+			rc = fat_set_cluster(bs, nodep->idx->devmap_handle, fatno,
 			    lastc, mcl);
 			if (rc != EOK)
@@ -590,5 +590,5 @@
 {
 	int rc;
-	dev_handle_t dev_handle = nodep->idx->dev_handle;
+	devmap_handle_t devmap_handle = nodep->idx->devmap_handle;
 
 	/*
@@ -601,5 +601,5 @@
 	if (lcl == FAT_CLST_RES0) {
 		/* The node will have zero size and no clusters allocated. */
-		rc = fat_free_clusters(bs, dev_handle, nodep->firstc);
+		rc = fat_free_clusters(bs, devmap_handle, nodep->firstc);
 		if (rc != EOK)
 			return rc;
@@ -610,5 +610,5 @@
 		unsigned fatno;
 
-		rc = fat_get_cluster(bs, dev_handle, FAT1, lcl, &nextc);
+		rc = fat_get_cluster(bs, devmap_handle, FAT1, lcl, &nextc);
 		if (rc != EOK)
 			return rc;
@@ -616,5 +616,5 @@
 		/* Terminate the cluster chain in all copies of FAT. */
 		for (fatno = FAT1; fatno < bs->fatcnt; fatno++) {
-			rc = fat_set_cluster(bs, dev_handle, fatno, lcl,
+			rc = fat_set_cluster(bs, devmap_handle, fatno, lcl,
 			    FAT_CLST_LAST1);
 			if (rc != EOK)
@@ -623,5 +623,5 @@
 
 		/* Free all following clusters. */
-		rc = fat_free_clusters(bs, dev_handle, nextc);
+		rc = fat_free_clusters(bs, devmap_handle, nextc);
 		if (rc != EOK)
 			return rc;
@@ -638,5 +638,5 @@
 
 int
-fat_zero_cluster(struct fat_bs *bs, dev_handle_t dev_handle, fat_cluster_t c)
+fat_zero_cluster(struct fat_bs *bs, devmap_handle_t devmap_handle, fat_cluster_t c)
 {
 	int i;
@@ -645,5 +645,5 @@
 
 	for (i = 0; i < SPC(bs); i++) {
-		rc = _fat_block_get(&b, bs, dev_handle, c, NULL, i,
+		rc = _fat_block_get(&b, bs, devmap_handle, c, NULL, i,
 		    BLOCK_FLAGS_NOREAD);
 		if (rc != EOK)
@@ -665,5 +665,5 @@
  * does not contain a fat file system.
  */
-int fat_sanity_check(fat_bs_t *bs, dev_handle_t dev_handle)
+int fat_sanity_check(fat_bs_t *bs, devmap_handle_t devmap_handle)
 {
 	fat_cluster_t e0, e1;
@@ -706,9 +706,9 @@
 
 	for (fat_no = 0; fat_no < bs->fatcnt; fat_no++) {
-		rc = fat_get_cluster(bs, dev_handle, fat_no, 0, &e0);
+		rc = fat_get_cluster(bs, devmap_handle, fat_no, 0, &e0);
 		if (rc != EOK)
 			return EIO;
 
-		rc = fat_get_cluster(bs, dev_handle, fat_no, 1, &e1);
+		rc = fat_get_cluster(bs, devmap_handle, fat_no, 1, &e1);
 		if (rc != EOK)
 			return EIO;
Index: uspace/srv/fs/fat/fat_fat.h
===================================================================
--- uspace/srv/fs/fat/fat_fat.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/fs/fat/fat_fat.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -61,10 +61,10 @@
 #define fat_clusters_get(numc, bs, dh, fc) \
     fat_cluster_walk((bs), (dh), (fc), NULL, (numc), (uint16_t) -1)
-extern int fat_cluster_walk(struct fat_bs *, dev_handle_t, fat_cluster_t,
+extern int fat_cluster_walk(struct fat_bs *, devmap_handle_t, fat_cluster_t,
     fat_cluster_t *, uint16_t *, uint16_t);
 
 extern int fat_block_get(block_t **, struct fat_bs *, struct fat_node *,
     aoff64_t, int);
-extern int _fat_block_get(block_t **, struct fat_bs *, dev_handle_t,
+extern int _fat_block_get(block_t **, struct fat_bs *, devmap_handle_t,
     fat_cluster_t, fat_cluster_t *, aoff64_t, int);
 
@@ -73,17 +73,17 @@
 extern int fat_chop_clusters(struct fat_bs *, struct fat_node *,
     fat_cluster_t);
-extern int fat_alloc_clusters(struct fat_bs *, dev_handle_t, unsigned,
+extern int fat_alloc_clusters(struct fat_bs *, devmap_handle_t, unsigned,
     fat_cluster_t *, fat_cluster_t *);
-extern int fat_free_clusters(struct fat_bs *, dev_handle_t, fat_cluster_t);
-extern int fat_alloc_shadow_clusters(struct fat_bs *, dev_handle_t,
+extern int fat_free_clusters(struct fat_bs *, devmap_handle_t, fat_cluster_t);
+extern int fat_alloc_shadow_clusters(struct fat_bs *, devmap_handle_t,
     fat_cluster_t *, unsigned);
-extern int fat_get_cluster(struct fat_bs *, dev_handle_t, unsigned,
+extern int fat_get_cluster(struct fat_bs *, devmap_handle_t, unsigned,
     fat_cluster_t, fat_cluster_t *);
-extern int fat_set_cluster(struct fat_bs *, dev_handle_t, unsigned,
+extern int fat_set_cluster(struct fat_bs *, devmap_handle_t, unsigned,
     fat_cluster_t, fat_cluster_t);
 extern int fat_fill_gap(struct fat_bs *, struct fat_node *, fat_cluster_t,
     aoff64_t);
-extern int fat_zero_cluster(struct fat_bs *, dev_handle_t, fat_cluster_t);
-extern int fat_sanity_check(struct fat_bs *, dev_handle_t);
+extern int fat_zero_cluster(struct fat_bs *, devmap_handle_t, fat_cluster_t);
+extern int fat_sanity_check(struct fat_bs *, devmap_handle_t);
 
 #endif
